## brasero-burn-lib

brasero-burn-lib

## Functions

gboolean | brasero_burn_library_start ()
void | brasero_burn_library_stop ()
GOptionGroup * | brasero_burn_library_get_option_group ()
GSList * | brasero_burn_library_get_plugins_list ()
gboolean | brasero_burn_library_can_checksum ()
BraseroBurnResult | brasero_burn_library_input_supported ()
BraseroMedia | brasero_burn_library_get_media_capabilities ()

## Types and Values

#define | LIBBRASERO_BURN_VERSION_MAJOR
#define | LIBBRASERO_BURN_VERSION_MINOR
#define | LIBBRASERO_BURN_VERSION_MICRO
#define | LIBBRASERO_BURN_AGE

## Description

## Functions

### brasero_burn_library_start ()

    gboolean
    brasero_burn_library_start (int *argc,
                                char **argv[]);

Starts the library. This function must be called before using any of the functions.

Rename to: init

#### Parameters

argc | an int. |
argv | a char **. |

#### Returns

a gboolean

### brasero_burn_library_stop ()

    void
    brasero_burn_library_stop (void);

Stop the library. Don't use any of the functions or objects afterwards

Rename to: deinit

### brasero_burn_library_get_option_group ()

    GOptionGroup *
    brasero_burn_library_get_option_group (void);

Returns a GOptionGroup for the commandline arguments recognized by libbrasero-burn. You should add this to your GOptionContext if your are using `g_option_context_parse()` to parse your commandline arguments.

#### Returns

a GOptionGroup *

### brasero_burn_library_get_plugins_list ()

    GSList *
    brasero_burn_library_get_plugins_list (void);

This function returns the list of plugins that are available to libbrasero-burn.

#### Returns

a GSList that must be destroyed when not needed and each object unreffed.

[element-type GObject.Object][transfer full]

### brasero_burn_library_can_checksum ()

    gboolean
    brasero_burn_library_can_checksum (void);

Checks whether the library can do any kind of checksum at all.

#### Returns

a gboolean

### brasero_burn_library_input_supported ()

    BraseroBurnResult
    brasero_burn_library_input_supported (BraseroTrackType *type);

Checks whether `type` can be used as input.

#### Parameters

type | a BraseroTrackType |

#### Returns

a BraseroBurnResult

### brasero_burn_library_get_media_capabilities ()

    BraseroMedia
    brasero_burn_library_get_media_capabilities
                                   (BraseroMedia media);

Used to test what the library can do based on the medium type. Returns BRASERO_MEDIUM_WRITABLE if the disc can be written and / or BRASERO_MEDIUM_REWRITABLE if the disc can be erased.

#### Parameters

media | a BraseroMedia |

#### Returns

a BraseroMedia

## Types and Values

### LIBBRASERO_BURN_VERSION_MAJOR

    #define             LIBBRASERO_BURN_VERSION_MAJOR

### LIBBRASERO_BURN_VERSION_MINOR

    #define             LIBBRASERO_BURN_VERSION_MINOR

### LIBBRASERO_BURN_VERSION_MICRO

    #define             LIBBRASERO_BURN_VERSION_MICRO

### LIBBRASERO_BURN_AGE

    #define             LIBBRASERO_BURN_AGE